<?php

error_reporting(0);
if (isset($debug) && $debug) {
  error_reporting(E_ALL);
  ini_set('display_errors', 0);
  ini_set('log_errors', 'On');
}

require_once('workflows.php');

$w = new Workflows();

/**
 * [workflow_print description]
 * @return [type] [description]
 */
function workflow_print() {
  global $w;

  if (!count($w->results())) {
    $w->result( 'alfred', 'alfredapp', 'No results found.', '', 'icon.png', 'no' );
  }

  echo $w->toxml($w->results());
}

/**
 * [giphy_search description]
 * @param  [type] $query [description]
 * @return [type]        [description]
 */
function giphy_search($query, $limit = 25) {
  global $w;

  $cache = $w->cache();

  $contents = json_decode(file_get_contents('http://api.giphy.com/v1/gifs/search?q=' . urlencode($query) . '&api_key=dc6zaTOxFJmzC&limit=' . $limit));

  foreach ($contents->data as $key => $item) {
    $file = $cache . '/' . $item->id . '.gif';
    if (!file_exists($file)) {
      file_put_contents($file, fopen($item->images->fixed_width_still->url, 'r'));
    }

    $w->result(
      $query,
      $item->url,
      $item->bitly_gif_url,
      'Open animated GIF containing term "' . $query . '".',
      $file,
      'yes'
    );
  }

  workflow_print();
}
